# Record TCefMediaRoute

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefMediaRoute = record`

## Description

Represents the route between a media source and sink. Instances of this object are created via ICefMediaRouter.CreateRoute and retrieved via ICefMediaObserver.OnRoutes. Contains the status and metadata of a routing operation. The functions of this structure may be called on any browser process thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefMediaRoute.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_route_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `get_id: function(self: PCefMediaRoute): PCefStringUserFree; stdcall;`
| `get_source: function(self: PCefMediaRoute): PCefMediaSource; stdcall;`
| `get_sink: function(self: PCefMediaRoute): PCefMediaSink; stdcall;`
| `send_route_message: procedure(self: PCefMediaRoute; const message_: Pointer; message_size: NativeUInt); stdcall;`
| `terminate: procedure(self: PCefMediaRoute); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `get_id: function(self: PCefMediaRoute): PCefStringUserFree; stdcall;`
This item has no description.

| `get_source: function(self: PCefMediaRoute): PCefMediaSource; stdcall;`
This item has no description.

| `get_sink: function(self: PCefMediaRoute): PCefMediaSink; stdcall;`
This item has no description.

| `send_route_message: procedure(self: PCefMediaRoute; const message_: Pointer; message_size: NativeUInt); stdcall;`
This item has no description.

| `terminate: procedure(self: PCefMediaRoute); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.